gnutls_x509_trust_list_remove_trust_file(3)

NAME
gnutls_x509_trust_list_remove_trust_file - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_remove_trust_file(gnutls_x509_trust_list_t list, const char * ca_file, gnutls_x509_crt_fmt_t type);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

const char * ca_file
    A file containing a list of CAs

gnutls_x509_crt_fmt_t type
    The format of the certificates

DESCRIPTION
This function will remove the given certificate authorities from the trusted list, and add them into a black list when needed. PKCS 11 URLs are also accepted, instead of files, by this function. See also gnutls_x509_trust_list_remove_cas().

RETURNS
The number of added elements is returned.

SINCE
3.1.10

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/